Subject: Re: [linux-pm] [PATCH -v4 6/6] fault-injection: add notifier error injection testing scripts

From: Dave Jones <[email-masked]>
Date: Tue, 26 Jun 2012 19:58:04 -0400

On Tue, Jun 26, 2012 at 04:31:47PM -0700, Andrew Morton wrote:

 > My overall take on the fault-injection code is that there has been a
 > disappointing amount of uptake: I don't see many developers using them
 > for whitebox testing their stuff.  I guess this patchset addresses
 > that, in a way.

I added support for make-it-fail to my syscall fuzzer a while ago.
(if the file exists, the child processes set it before calling the fuzzed syscall).
I've not had a chance to really play with it, because I find enough problems
already even without it.

	Dave